Skip to main content
Back to API List Retrieves a paginated list of Agent AI conversation records within a specified date range. Each record includes the conversation transcript, AI-generated summaries, Agentic Copilot interactions, search history, and agent feedback.
The maximum duration supported for the date range is 7 days.

API Details

ParameterDescription
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{botid}}/aaconversation
Content Typeapplication/json
Authorizationauth: {{JWT}}: See How to generate the JWT Token
ScopeAgentAssist Analytics: See Associate API Scopes

Path Parameters

ParameterRequiredDescription
hostYesThe environment URL. For example, https://platform.kore.ai.
botidYesThe unique bot identifier. Example: st-79a76d65-d540-5b33-96d5-9bf3eebxxxxx

Header Parameters

ParameterTypeRequiredDescription
accountidStringYesUnique identifier of the customer account making the request.

Body Parameters

ParameterTypeRequiredDescription
fromString (YYYY-MM-DD)YesStart date for fetching conversation records.
toString (YYYY-MM-DD)YesEnd date for fetching conversation records.
pageIntegerNoPage number for paginated results. Default: 1
limitIntegerNoNumber of records per page. Maximum: 20.
includeHistoryBooleanNoIf true, includes conversation history. Default: false
includeAgenticHistoryBooleanNoIf true, includes Agentic Copilot conversation history. Default: false.
includeFeedbackBooleanNoIf true, includes feedback in the response (for example, feedback on summary, Agentic suggestions, and overall widget performance). Default: false.
includeSummaryBooleanNoIf true, includes the conversation summary. Default: false.

Sample Request

curl --location --max-time 2000 --request POST 'https://{{host}}/agentassist/api/v1/public/{{botid}}/aaconversation' 
--header 'accountId: 6798834e4e94062f75xxxxxx' 
--header 'auth: eyJhbGciOiJIUzI1NiIsInR5cxxxxxxXVCJ9.eyJhcHBJZCI6ImNzLWM1M2VjMGZiLTkwYxxxxxxyZC04NTQ1LWRlYTJjMjdlYmFhMCJ9.CC3WptQkOyxxxxxxIVMLNETLchKSOAFMst47xxxxxxx' 
--header 'Content-Type: application/json' 
--data '{
    "from": "2026-06-07",
    "to": "2026-06-07",
    "page": 1,
    "limit": 20,
    "includeHistory": true,
    "includeAgenticHistory": true,
    "includeFeedback": true,
    "includeSummary": true
}'

Sample Response

{
    "results": [
        {
            "_id": "6a24dfe0b84ec657a31cxxxxx",
            "convId": "atesta-xxxxxxxx",
            "botId": "st-79a76d65-d540-5b33-96d5-9bf3eebxxxxx",
            "isExtAD": true,
            "startTime": "2026-06-07T03:05:04.755Z",
            "summaries": [
                {
                    "summaryId": "smr-9e7925c-d842-4567-9966-059b23bdxxxxx",
                    "participant": {
                        "identity": "a-xxxxxxxx",
                        "name": "Anonymous",
                        "type": "agent",
                        "startTime": [],
                        "endTime": []
                    },
                    "summary": "The customer contacted for assistance with an account blocked issue. The agent recommended contacting IT support or the HR department for resolving the account access issue.",
                    "type": "interim",
                    "generationTimeInSecs": 1.435,
                    "feedbackInfo": {
                        "agentDetails": {
                            "identity": "a-xxxxxxxx",
                            "name": "Anonymous"
                        },
                        "feedback": "dislike",
                        "comment": "Negative feedback to interim summary.",
                        "feedbackDetails": [
                            "Inaccurate Content"
                        ],
                        "type": "summary"
                    }
                },
                {
                    "summaryId": "smr-5112583-ae19-4829-92dd-a348238xxxxx",
                    "participant": {
                        "identity": "a-xxxxxxxx",
                        "name": "Anonymous",
                        "type": "agent",
                        "startTime": [],
                        "endTime": []
                    },
                    "summary": "The customer contacted for assistance with an account blocked issue. The agent recommended contacting IT support or the HR department for resolving the account access issue.",
                    "editedSummary": "The customer contacted for assistance with an account blocked issue. The agent recommended contacting IT support or the HR department for resolving the account access issue. Edited final summary.",
                    "type": "final",
                    "generationTimeInSecs": 1.468
                }
            ],
            "mbSessionId": "6a25251017334dc027dxxxxx",
            "mbUserId": "u-58c48898-6a0c-589d-aac2-cc75d44xxxxx",
            "experience": "chat",
            "messages": [
                {
                    "_id": "ms-10a44a88-a68a-581e-b3c3-02983f5xxxxx",
                    "botId": "st-79a76d65-d540-5b33-96d5-9bf3eebxxxxx",
                    "accountId": "6798834e4e94062f7539xxxxx",
                    "components": [
                        {
                            "_id": "cp-9709e230-3d1b-5960-9217-d21f813xxxxx",
                            "cT": "text",
                            "data": {
                                "text": "hey i am reaching out to get help on my account blocked issue"
                            },
                            "thumbnails": []
                        }
                    ],
                    "createdOn": "2026-06-07T03:05:39.523Z",
                    "lmodifiedOn": "2026-06-07T03:05:39.523Z",
                    "ire": true,
                    "chnl": "agentassist",
                    "lang": "en",
                    "author": {
                        "type": "USER"
                    },
                    "conversationId": "atesta-xxxxxxxx",
                    "__lModifiedOn__": "2026-06-07T03:05:39.000Z",
                    "timestampValue": 1780801539537
                },
                {
                    "_id": "6a24e003f069946b93210xxx",
                    "type": "AGENTIC",
                    "timestampValue": 1780801539892,
                    "requestId": "aa-2aae1892-1e67-5b93-b46b-6e96866xxxxx",
                    "conversationId": "atesta-xxxxxxxx",
                    "botId": "st-79a76d65-d540-5b33-96d5-9bf3eebxxxxx",
                    "accountId": "6798834e4e94062f7539xxxxx",
                    "orgId": "o-7b3f9629-5766-578a-af50-7b623c1xxxxx",
                    "experience": "chat",
                    "language": "en",
                    "query": "hey i am reaching out to get help on my account blocked issue",
                    "components": {
                        "_id": "cp-07c6759c-41d4-5585-9325-a8176d6xxxxx",
                        "cT": "text",
                        "data": {
                            "text": "I understand you are facing an issue with your account being blocked. For account issues, I recommend reaching out to your IT support or HR department for assistance."
                        }
                    },
                    "triggeringMessageId": "ms-10a44a88-a68a-581e-b3c3-02983f5xxxxx",
                    "isSent": true,
                    "isCopied": false,
                    "isOverride": false,
                    "requestedAt": "2026-06-07T03:05:39.730Z",
                    "respondedAt": "2026-06-07T03:05:41.845Z",
                    "sessionInfo": {
                        "status": "idle",
                        "userId": "u-ebf9cca2-af2c-56fc-b03a-b0ed030xxxxx",
                        "sessionId": "s-5655da8e-349c-4463-946a-bc7ecccxxxxx",
                        "runId": "r-73b14de2-b3b2-411a-ba00-7983ce9xxxxx",
                        "appId": "aa-66266b94-25d5-41e9-99e2-70ec650xxxxx",
                        "envId": "env-6831da54-81f2-4840-96e6-0684fdexxxxx",
                        "envName": "demo",
                        "conversationState": "COMPLETED",
                        "activeConversationAgent": null,
                        "source": "AIS-AA"
                    },
                    "feedbackInfo": {
                        "agentDetails": {
                            "identity": "a-xxxxxxxx",
                            "name": "Anonymous"
                        },
                        "feedback": "dislike",
                        "comment": "Negative feedback to Agentic suggestion.",
                        "feedbackDetails": [
                            "Irrelevant Suggestion"
                        ],
                        "type": "agentic"
                    }
                }
            ],
            "searchHistory": [
                {
                    "_id": "6a24e116f069946b93210xxx",
                    "type": "AGENTIC",
                    "timestampValue": 1780801814890,
                    "requestId": "ua-1391de93-b386-48aa-9f93-4c30e4cxxxxx",
                    "conversationId": "atesta-xxxxxxxx",
                    "botId": "st-79a76d65-d540-5b33-96d5-9bf3eebxxxxx",
                    "accountId": "6798834e4e94062f7539xxxxx",
                    "orgId": "o-7b3f9629-5766-578a-af50-7b623c1xxxxx",
                    "experience": "chat",
                    "language": "en",
                    "query": "for IT support what are the details required",
                    "components": {
                        "_id": "cp-0c0bd6de-5ad2-5fd6-a686-7b4a402xxxxx",
                        "cT": "text",
                        "data": {
                            "text": "To request IT support, typically you will need to provide the specific issue, device or system involved, and your contact information."
                        }
                    },
                    "triggeringMessageId": null,
                    "isSent": false,
                    "isCopied": false,
                    "requestedAt": "2026-06-07T03:10:14.887Z",
                    "respondedAt": "2026-06-07T03:10:16.980Z",
                    "sessionInfo": {
                        "status": "idle",
                        "userId": "u-742f2192-381f-5110-8df2-6d4ba0cxxxxx",
                        "sessionId": "s-786dcc8e-22b8-45f3-bfe1-bab704axxxxx",
                        "runId": "r-7ce4c0a9-ab69-4524-8171-89231c3xxxxx",
                        "appId": "aa-66266b94-25d5-41e9-99e2-70ec650xxxxx",
                        "envId": "env-6831da54-81f2-4840-96e6-0684fdexxxxx",
                        "envName": "demo",
                        "conversationState": "AWAITING_INPUT",
                        "activeConversationAgent": "leave",
                        "source": "AIS-AA"
                    },
                    "feedbackInfo": {
                        "agentDetails": {
                            "identity": "a-xxxxxxxx",
                            "name": "Anonymous"
                        },
                        "feedback": "dislike",
                        "comment": "Feedback to first search result.",
                        "feedbackDetails": [
                            "Duplicate Message"
                        ],
                        "type": "agentic"
                    }
                }
            ],
            "agenticAssistSessionIds": [
                "s-5655da8e-349c-4463-946a-bc7ecccxxxxx"
            ],
            "agenticSearchSessionIds": [
                "s-786dcc8e-22b8-45f3-bfe1-bab704axxxxx"
            ],
            "widgetFeedbacks": [
                {
                    "agentDetails": {
                        "identity": "a-xxxxxxxx",
                        "name": "Anonymous"
                    },
                    "feedback": "dislike",
                    "comment": "Widget feedback comment.",
                    "feedbackDetails": [
                        "Transcript not consistent"
                    ],
                    "type": "widget"
                }
            ]
        }
    ],
    "skip": 0,
    "limit": 20,
    "hasMore": false,
    "totalPages": 1,
    "totalResults": 6
}

Response Body Parameters

ParameterTypeDescription
resultsArrayList of conversation objects retrieved.
results._idStringUnique identifier of the conversation document.
results.convIdStringConversation identifier.
results.botIdStringIdentifier of the bot handling the conversation.
results.isExtADBooleanIndicates whether the conversation is external.
results.startTimeString (ISO 8601)Timestamp when the conversation started.
results.experienceStringExperience type, for example, chat or voice.
results.summariesArrayList of conversation summary objects.
results.summaries.summaryIdStringUnique identifier of the summary.
results.summaries.participantObjectDetails of the agent associated with the summary.
results.summaries.participant.identityStringUnique identifier of the agent.
results.summaries.participant.nameStringName of the agent.
results.summaries.participant.typeStringType of participant, for example, agent.
results.summaries.summaryStringAI-generated conversation summary.
results.summaries.editedSummaryString(Optional) Edited version of the summary if an agent modified it.
results.summaries.typeStringSummary type, for example, interim or final.
results.summaries.generationTimeInSecsNumberTime taken to generate the summary, in seconds.
results.summaries.feedbackInfoObject(Optional) Feedback the agent submitted on the summary.
results.summaries.feedbackInfo.agentDetailsObjectDetails of the agent who submitted the feedback.
results.summaries.feedbackInfo.agentDetails.identityStringUnique identifier of the agent.
results.summaries.feedbackInfo.agentDetails.nameStringName of the agent.
results.summaries.feedbackInfo.feedbackStringFeedback value, for example, like or dislike.
results.summaries.feedbackInfo.commentStringFree-text comment the agent entered with the feedback.
results.summaries.feedbackInfo.feedbackDetailsArrayList of feedback reasons the agent selected.
results.summaries.feedbackInfo.typeStringFeedback type, for example, summary.
results.mbSessionIdString(Optional) Messaging backend session ID.
results.mbUserIdString(Optional) Messaging backend user ID.
results.messagesArrayList of messages exchanged in the conversation.
results.messages._idStringUnique identifier of the message.
results.messages.typeStringMessage type, for example, AGENTIC.
results.messages.botIdStringBot ID associated with the message.
results.messages.accountIdStringAccount identifier associated with the message.
results.messages.orgIdStringOrganization identifier associated with the message.
results.messages.requestIdStringUnique identifier of the Agentic request.
results.messages.conversationIdStringConversation identifier associated with the message.
results.messages.languageStringLanguage of the message, for example, en.
results.messages.queryStringCustomer query that triggered the Agentic suggestion.
results.messages.componentsArrayList of message components, such as text or media.
results.messages.components._idStringUnique identifier of the message component.
results.messages.components.cTStringComponent type, for example, text.
results.messages.components.dataObjectData of the component, for example, { "text": "hi" }.
results.messages.components.thumbnailsArrayList of thumbnails (if any) associated with the component.
results.messages.isSentBooleanIndicates whether the agent sent the suggestion to the customer.
results.messages.isCopiedBooleanIndicates whether the agent copied the suggestion.
results.messages.isOverrideBooleanIndicates whether the agent overrode the suggestion.
results.messages.requestedAtString (ISO 8601)Timestamp when the Agentic request was sent.
results.messages.respondedAtString (ISO 8601)Timestamp when Agentic Copilot responded.
results.messages.triggeringMessageIdStringIdentifier of the message that triggered the Agentic suggestion.
results.messages.createdOnString (ISO 8601)Timestamp when the message was created.
results.messages.authorObjectDetails of the message author.
results.messages.author.typeStringType of the message author, for example, USER or AGENT.
results.messages.author.idString(Optional) Identifier of the message author.
results.messages.timestampValueIntegerUnix timestamp of the message in milliseconds.
results.messages.sessionInfoObjectSession details associated with the Agentic interaction.
results.messages.sessionInfo.statusStringCurrent session status, for example, idle.
results.messages.sessionInfo.sessionIdStringUnique session identifier.
results.messages.sessionInfo.userIdStringUnique user identifier for the session.
results.messages.sessionInfo.runIdStringUnique run identifier for the session.
results.messages.sessionInfo.appIdStringIdentifier of the Agentic app.
results.messages.sessionInfo.envIdStringIdentifier of the environment.
results.messages.sessionInfo.envNameStringName of the environment, for example, demo.
results.messages.sessionInfo.conversationStateStringCurrent state of the conversation, for example, AWAITING_INPUT or COMPLETED.
results.messages.sessionInfo.activeConversationAgentStringName of the active Agentic conversation agent.
results.messages.sessionInfo.sourceStringSource of the Agentic interaction, for example, AIS-AA.
results.messages.feedbackInfoObject(Optional) Feedback the agent submitted on the Agentic suggestion.
results.messages.feedbackInfo.agentDetailsObjectDetails of the agent who submitted the feedback.
results.messages.feedbackInfo.agentDetails.identityStringUnique identifier of the agent.
results.messages.feedbackInfo.agentDetails.nameStringName of the agent.
results.messages.feedbackInfo.feedbackStringFeedback value, for example, like or dislike.
results.messages.feedbackInfo.commentStringFree-text comment the agent entered with the feedback.
results.messages.feedbackInfo.feedbackDetailsArrayList of feedback reasons the agent selected.
results.messages.feedbackInfo.typeStringFeedback type, for example, agentic.
results.searchHistoryArrayList of Agentic search interactions the agent triggered manually.
results.agenticAssistSessionIdsArrayList of Agentic Copilot session IDs associated with the conversation.
results.agenticSearchSessionIdsArrayList of Agentic search session IDs associated with the conversation.
results.widgetFeedbacksArrayList of overall widget feedback entries submitted by agents.
results.widgetFeedbacks.agentDetailsObjectDetails of the agent who submitted the widget feedback.
results.widgetFeedbacks.agentDetails.identityStringUnique identifier of the agent.
results.widgetFeedbacks.agentDetails.nameStringName of the agent.
results.widgetFeedbacks.feedbackStringFeedback value, for example, like or dislike.
results.widgetFeedbacks.commentStringFree-text comment the agent entered with the feedback.
results.widgetFeedbacks.feedbackDetailsArrayList of feedback reasons the agent selected.
results.widgetFeedbacks.typeStringFeedback type, for example, widget.
skipIntegerNumber of records skipped in the current response.
limitIntegerNumber of records returned per page.
hasMoreBooleanIndicates whether more records are available beyond the current page.
totalPagesIntegerTotal number of pages available.
totalResultsIntegerTotal number of conversation records matching the query.